MessagingConsumerServiceCall (consumer-service 1.9.2-3.5.0 API)
Date: 2014-11-12

org.gcube.messaging.common.consumer.stubs.calls

## Class MessagingConsumerServiceCall

- java.lang.Object
- - org.gcube.common.core.utils.calls.GCUBECall<org.gcube.common.core.informationsystem.client.queries.GCUBERIQuery>
  - - org.gcube.common.core.utils.calls.RICall
    - - org.gcube.messaging.common.consumer.stubs.calls.MessagingConsumerServiceCall

- All Implemented Interfaces:
    MessagingConsumerServiceCallInterface

      public class MessagingConsumerServiceCall
      extends org.gcube.common.core.utils.calls.RICall
      implements MessagingConsumerServiceCallInterface

  Author:
    Andrea Manzi(CERN)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.common.core.utils.calls.RICall

      `org.gcube.common.core.utils.calls.RICall.RICallHandler`

    - ### Nested classes/interfaces inherited from class org.gcube.common.core.utils.calls.GCUBECall

      `org.gcube.common.core.utils.calls.GCUBECall.ResultHolder<RESULT>`

  - ### Field Summary

    - ### Fields inherited from class org.gcube.common.core.utils.calls.GCUBECall

      `clients, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessagingConsumerServiceCall(org.gcube.common.core.scope.GCUBEScope scope, org.gcube.common.core.security.GCUBESecurityManager[] securityManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `backupAccountingDB()`
    `void` | `backupMonitoringDB()` backup DB
    `protected List<org.apache.axis.message.addressing.EndpointReferenceType>` | `findPortType(org.gcube.common.core.informationsystem.client.queries.GCUBERIQuery query, String portType, String subscriptiontype)`
    `String` | `getPortTypeName()`
    `protected org.gcube.common.core.informationsystem.client.queries.GCUBERIQuery` | `getRIQuery()`
    `protected String` | `getServiceClass()`
    `protected String` | `getServiceName()`
    `String` | `queryAccountingDB(String query)`
    `String` | `queryMonitoringDB(String query)`
    `String` | `querySystemAccountingDB(String query)`
    `void` | `sendReport(String date, org.gcube.common.core.scope.GCUBEScope scope)`

    - ### Methods inherited from class org.gcube.common.core.utils.calls.RICall

      `getInitQuery, setEndpoint`

    - ### Methods inherited from class org.gcube.common.core.utils.calls.GCUBECall

      `findPortType, getEndpointReference, getLogger, getQuery, getScopeManager, getSecurityManager, setEndpointReference, setLogger, setQuery, setScopeManager, setSecurityManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessagingConsumerServiceCall

          public MessagingConsumerServiceCall(org.gcube.common.core.scope.GCUBEScope scope,
                                      org.gcube.common.core.security.GCUBESecurityManager[] securityManager)
                                       throws Exception

      Parameters:
        `scope` - the scope
        `securityManager` - the security manager
      Throws:
        `Exception`

  - ### Method Detail

    - #### getServiceClass

          protected String getServiceClass()

      Specified by:
        `getServiceClass` in class `org.gcube.common.core.utils.calls.GCUBECall<org.gcube.common.core.informationsystem.client.queries.GCUBERIQuery>`

    - #### getServiceName

          protected String getServiceName()

      Specified by:
        `getServiceName` in class `org.gcube.common.core.utils.calls.GCUBECall<org.gcube.common.core.informationsystem.client.queries.GCUBERIQuery>`

    - #### findPortType

          protected List<org.apache.axis.message.addressing.EndpointReferenceType> findPortType(org.gcube.common.core.informationsystem.client.queries.GCUBERIQuery query,
                                                                                    String portType,
                                                                                    String subscriptiontype)
                                                                                         throws Exception

      Throws:
        `Exception`

    - #### getRIQuery

          protected org.gcube.common.core.informationsystem.client.queries.GCUBERIQuery getRIQuery()
                                                                                            throws Exception

      Overrides:
        `getRIQuery` in class `org.gcube.common.core.utils.calls.GCUBECall<org.gcube.common.core.informationsystem.client.queries.GCUBERIQuery>`
      Throws:
        `Exception`

    - #### queryAccountingDB

          public String queryAccountingDB(String query)
                                   throws Exception

      Specified by:
        `queryAccountingDB` in interface `MessagingConsumerServiceCallInterface`
      Parameters:
        `query` - query
      Returns:
        results
      Throws:
        `Exception` - Exception

    - #### querySystemAccountingDB

          public String querySystemAccountingDB(String query)
                                         throws Exception

      Specified by:
        `querySystemAccountingDB` in interface `MessagingConsumerServiceCallInterface`
      Parameters:
        `query` - query
      Returns:
        results
      Throws:
        `Exception` - Exception

    - #### queryMonitoringDB

          public String queryMonitoringDB(String query)
                                   throws Exception

      Specified by:
        `queryMonitoringDB` in interface `MessagingConsumerServiceCallInterface`
      Parameters:
        `query` - query
      Returns:
        results
      Throws:
        `Exception` - Exception

    - #### sendReport

          public void sendReport(String date,
                        org.gcube.common.core.scope.GCUBEScope scope)
                          throws Exception

      Specified by:
        `sendReport` in interface `MessagingConsumerServiceCallInterface`
      Parameters:
        `date` - date
        `scope` - scope
      Throws:
        `Exception` - Exception

    - #### getPortTypeName

          public String getPortTypeName()

      Specified by:
        `getPortTypeName` in class `org.gcube.common.core.utils.calls.GCUBECall<org.gcube.common.core.informationsystem.client.queries.GCUBERIQuery>`

    - #### backupAccountingDB

          public void backupAccountingDB()
                                  throws Exception

      Specified by:
        `backupAccountingDB` in interface `MessagingConsumerServiceCallInterface`
      Throws:
        `Exception` - Exception

    - #### backupMonitoringDB

          public void backupMonitoringDB()
                                  throws Exception

      backup DB
      Specified by:
        `backupMonitoringDB` in interface `MessagingConsumerServiceCallInterface`
      Throws:
        `Exception` - Exception

Copyright © 2014. All Rights Reserved.